std::_List_node< _Tp >(3)

NAME
std::_List_node< _Tp > - An actual node in the list.

SYNOPSIS

Inherits std::__detail::_List_node_base.

  Public Member Functions
void _M_hook (_List_node_base *const __position) noexcept
void _M_reverse () noexcept
void _M_transfer (_List_node_base *const __first, _List_node_base *const __last) noexcept
void _M_unhook () noexcept
_Tp * _M_valptr ()
_Tp const * _M_valptr () const

  Static Public Member Functions
static void swap (_List_node_base &__x, _List_node_base &__y) noexcept

  Public Attributes
_List_node_base * _M_next
_List_node_base * _M_prev
__gnu_cxx::__aligned_membuf< _Tp > _M_storage

Detailed Description

  template<typename _Tp>
struct std::_List_node< _Tp >" An actual node in the list.

Definition at line 166 of file stl_list.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.